Page MenuHomePhabricator

Cannot submit sge jobs from tools-webgrid-tomcat
Closed, ResolvedPublic

Description

I assume this is basically the same as Bug 54786 ('Make exec hosts as submit hosts too'), just concerning tools-webgrid-tomcat. Trying to submit a job to SGE results in this error message:

Unable to initialize environment because of error: denied: host "tools-webgrid-tomcat.eqiad.wmflabs" is neither submit nor admin host
Exiting.

I do not usually over-estimate the severity of bugs, but this one would be really good to have fixed before the Toolserver shuts down. This is the last thing I need before I can have one of my tools (which replaces the Catgraph tool on the Toolserver) run on Tomcat - instead of the kludgy alternative solution I have now.


Version: unspecified
Severity: major

Details

Reference
bz66882

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:26 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz66882.
Dapete created this task.Jun 20 2014, 3:49 PM
scfc added a comment.Jun 20 2014, 4:21 PM

lighttpd nodes already allow that, so IMHO it's not controversial. I'll look into how to do this later.

Re Catgraph, are you aware of [[wikitech:Nova Resource:Catgraph]]?

scfc added a comment.Jun 20 2014, 9:01 PM

I added tools-webgrid-tomcat to the list of submit hosts; I'll leave this bug open until I've puppetized that. Please test if it works for you now.

(In reply to Tim Landscheidt from comment #1)

Re Catgraph, are you aware of [[wikitech:Nova Resource:Catgraph]]?

Yes, that is the main reason the new tool has a new name (vCat).

(In reply to Tim Landscheidt from comment #2)

Please test if it works for you now.

It does, thanks.

coren moved this task from Triage to Backlog on the Toolforge board.Nov 25 2014, 4:12 PM

I suddenly get the error "Unable to run job: denied: host "tools-webgrid-06.eqiad.wmflabs" is no submit host." on https://tools.wmflabs.org/videoconvert/, so I guess tools-webgrid-06.eqiad needs to be added to the list of submit hosts, too?

Prolineserver set Security to None.Feb 6 2015, 8:35 PM
Prolineserver added a subscriber: Tbayer.
coren closed this task as Resolved.Feb 6 2015, 8:53 PM

-tomcat has been a submit host for some time now, but the recently-added tools-webgrid-06 wasn't. Fix't.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 7 2017, 6:59 PM